# MatColoringType

String with the name of a PETSc matrix coloring or the creation function with an optional dynamic library name, for example http://www.mcs.anl.gov/petsc/lib.a:coloringcreate()

### Synopsis

    #define MatColoringType const char*
    #define MATCOLORING_NATURAL "natural"
    #define MATCOLORING_SL      "sl"
    #define MATCOLORING_LF      "lf"
    #define MATCOLORING_ID      "id"

    EXTERN PetscErrorCode PETSCMAT_DLLEXPORT MatGetColoring(Mat,MatColoringType,ISColoring*);

### See Also

MatGetColoring()

Level:beginner
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages